Index: issm/trunk/src/c/objects/Contour.cpp
===================================================================
--- issm/trunk/src/c/objects/Contour.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Contour.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 
 #include "./objects.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/Matlab/matlabshared.h"
 
Index: issm/trunk/src/c/objects/DakotaPlugin.cpp
===================================================================
--- issm/trunk/src/c/objects/DakotaPlugin.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/DakotaPlugin.cpp	(revision 3775)
@@ -24,5 +24,5 @@
 /*Standard ISSM includes: */
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../objects/objects.h"
 #include "../Qmux/Qmux.h"
Index: issm/trunk/src/c/objects/DofIndexing.cpp
===================================================================
--- issm/trunk/src/c/objects/DofIndexing.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/DofIndexing.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../shared/shared.h"
 #include "../DataSet/DataSet.h"
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/DofVec.cpp
===================================================================
--- issm/trunk/src/c/objects/DofVec.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/DofVec.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "./objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/objects/Elements/Beam.cpp
===================================================================
--- issm/trunk/src/c/objects/Elements/Beam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Beam.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Elements/Beam.h
===================================================================
--- issm/trunk/src/c/objects/Elements/Beam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Beam.h	(revision 3775)
@@ -16,5 +16,5 @@
 
 #include "../../shared/Exceptions/exceptions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Elements/Penta.cpp
===================================================================
--- issm/trunk/src/c/objects/Elements/Penta.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Penta.cpp	(revision 3775)
@@ -14,6 +14,6 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../DataSet/DataSet.h"
 
Index: issm/trunk/src/c/objects/Elements/Penta.h
===================================================================
--- issm/trunk/src/c/objects/Elements/Penta.h	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Penta.h	(revision 3775)
@@ -18,5 +18,5 @@
 
 #include "../../shared/Exceptions/exceptions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 /*}}}*/
Index: issm/trunk/src/c/objects/Elements/Sing.cpp
===================================================================
--- issm/trunk/src/c/objects/Elements/Sing.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Sing.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Elements/Sing.h
===================================================================
--- issm/trunk/src/c/objects/Elements/Sing.h	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Sing.h	(revision 3775)
@@ -14,5 +14,5 @@
 class IoModel;
 
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/Exceptions/exceptions.h"
 
Index: issm/trunk/src/c/objects/Elements/Tria.cpp
===================================================================
--- issm/trunk/src/c/objects/Elements/Tria.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Tria.cpp	(revision 3775)
@@ -17,6 +17,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Elements/Tria.h
===================================================================
--- issm/trunk/src/c/objects/Elements/Tria.h	(revision 3774)
+++ issm/trunk/src/c/objects/Elements/Tria.h	(revision 3775)
@@ -14,5 +14,5 @@
 class IoModel;
 
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/Exceptions/exceptions.h"
 /*}}}*/
Index: issm/trunk/src/c/objects/FemModel.cpp
===================================================================
--- issm/trunk/src/c/objects/FemModel.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/FemModel.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "stdio.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "./objects.h"
 
Index: issm/trunk/src/c/objects/Hook.cpp
===================================================================
--- issm/trunk/src/c/objects/Hook.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Hook.cpp	(revision 3775)
@@ -16,6 +16,6 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../shared/shared.h"
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 
 
Index: issm/trunk/src/c/objects/Inputs/BeamVertexInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/BeamVertexInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/BeamVertexInput.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/BoolInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/BoolInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/BoolInput.cpp	(revision 3775)
@@ -15,7 +15,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/BoolInput.h
===================================================================
--- issm/trunk/src/c/objects/Inputs/BoolInput.h	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/BoolInput.h	(revision 3775)
@@ -10,5 +10,5 @@
 /*{{{1*/
 #include "./Input.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Inputs/DoubleInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/DoubleInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/DoubleInput.cpp	(revision 3775)
@@ -15,7 +15,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/DoubleInput.h
===================================================================
--- issm/trunk/src/c/objects/Inputs/DoubleInput.h	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/DoubleInput.h	(revision 3775)
@@ -10,5 +10,5 @@
 /*{{{1*/
 #include "./Input.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Inputs/IntInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/IntInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/IntInput.cpp	(revision 3775)
@@ -15,7 +15,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/IntInput.h
===================================================================
--- issm/trunk/src/c/objects/Inputs/IntInput.h	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/IntInput.h	(revision 3775)
@@ -10,5 +10,5 @@
 /*{{{1*/
 #include "./Input.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Inputs/PentaVertexInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/PentaVertexInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/PentaVertexInput.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/SingVertexInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/SingVertexInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/SingVertexInput.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Inputs/TriaVertexInput.cpp
===================================================================
--- issm/trunk/src/c/objects/Inputs/TriaVertexInput.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Inputs/TriaVertexInput.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/IoModel.cpp
===================================================================
--- issm/trunk/src/c/objects/IoModel.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/IoModel.cpp	(revision 3775)
@@ -10,11 +10,10 @@
 #endif
 
-#include "../shared/shared.h"
-#include "../io/io.h"
-#include "../include/globals.h"
-#include "../include/macros.h"
 #include <string.h>
 #include "stdio.h"
 #include "./objects.h"
+#include "../shared/shared.h"
+#include "../io/io.h"
+#include "../include/include.h"
 
 /*FUNCTION IoModel::IoModel(){{{1*/
Index: issm/trunk/src/c/objects/IoModel.h
===================================================================
--- issm/trunk/src/c/objects/IoModel.h	(revision 3774)
+++ issm/trunk/src/c/objects/IoModel.h	(revision 3775)
@@ -8,5 +8,5 @@
 #define _IOMODEL_H
 
-#include "../include/types.h"
+#include "../include/include.h"
 
 class IoModel {
Index: issm/trunk/src/c/objects/Loads/Friction.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Friction.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Friction.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "../objects.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 
 /*--------------------------------------------------
Index: issm/trunk/src/c/objects/Loads/Icefront.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Icefront.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Icefront.cpp	(revision 3775)
@@ -16,6 +16,6 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/	
 
Index: issm/trunk/src/c/objects/Loads/Numericalflux.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Numericalflux.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Numericalflux.cpp	(revision 3775)
@@ -13,6 +13,6 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../objects.h"
 
Index: issm/trunk/src/c/objects/Loads/Pengrid.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Pengrid.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Pengrid.cpp	(revision 3775)
@@ -14,8 +14,8 @@
 #include "../objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../DataSet/DataSet.h"
 	
Index: issm/trunk/src/c/objects/Loads/Penpair.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Penpair.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Penpair.cpp	(revision 3775)
@@ -14,7 +14,7 @@
 #include "../objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 
 		
Index: issm/trunk/src/c/objects/Loads/Riftfront.cpp
===================================================================
--- issm/trunk/src/c/objects/Loads/Riftfront.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Loads/Riftfront.cpp	(revision 3775)
@@ -15,6 +15,6 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../ModelProcessorx/ModelProcessorx.h"
 #include "../objects.h"
Index: issm/trunk/src/c/objects/Materials/Matice.cpp
===================================================================
--- issm/trunk/src/c/objects/Materials/Matice.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Materials/Matice.cpp	(revision 3775)
@@ -14,6 +14,6 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 		
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Materials/Matpar.cpp
===================================================================
--- issm/trunk/src/c/objects/Materials/Matpar.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Materials/Matpar.cpp	(revision 3775)
@@ -14,5 +14,5 @@
 #include "../objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/objects/Model.cpp
===================================================================
--- issm/trunk/src/c/objects/Model.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Model.cpp	(revision 3775)
@@ -14,5 +14,5 @@
 #include "../ModelProcessorx/ModelProcessorx.h"
 #include "./objects.h"
-#include "../include/types.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../modules.h"
Index: issm/trunk/src/c/objects/Model.h
===================================================================
--- issm/trunk/src/c/objects/Model.h	(revision 3774)
+++ issm/trunk/src/c/objects/Model.h	(revision 3775)
@@ -8,5 +8,5 @@
 /*Headers:*/
 /*{{{1*/
-#include "../include/types.h"
+#include "../include/include.h"
 struct FemModel;
 class DataSet;
Index: issm/trunk/src/c/objects/Node.cpp
===================================================================
--- issm/trunk/src/c/objects/Node.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Node.cpp	(revision 3775)
@@ -16,6 +16,6 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../shared/shared.h"
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/NodeSets.cpp
===================================================================
--- issm/trunk/src/c/objects/NodeSets.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/NodeSets.cpp	(revision 3775)
@@ -3,5 +3,5 @@
  */ 
 
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 #include "./objects.h"
Index: issm/trunk/src/c/objects/Params/BoolParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/BoolParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/BoolParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/BoolParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/BoolParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/BoolParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/DoubleMatParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleMatParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleMatParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/DoubleMatParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleMatParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleMatParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/DoubleParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleParam.cpp	(revision 3775)
@@ -15,7 +15,6 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Params/DoubleParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/DoubleVecParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleVecParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleVecParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/DoubleVecParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/DoubleVecParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/DoubleVecParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/IntParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/IntParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/IntParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/IntParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/IntParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/IntParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/PetscMatParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/PetscMatParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/PetscMatParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/PetscMatParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/PetscMatParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/PetscMatParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/PetscVecParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/PetscVecParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/PetscVecParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/PetscVecParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/PetscVecParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/PetscVecParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/StringArrayParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/StringArrayParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/StringArrayParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/StringArrayParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/StringArrayParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/StringArrayParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/StringParam.cpp
===================================================================
--- issm/trunk/src/c/objects/Params/StringParam.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Params/StringParam.cpp	(revision 3775)
@@ -17,7 +17,7 @@
 #include "../../shared/shared.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/types.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Params/StringParam.h
===================================================================
--- issm/trunk/src/c/objects/Params/StringParam.h	(revision 3774)
+++ issm/trunk/src/c/objects/Params/StringParam.h	(revision 3775)
@@ -22,8 +22,8 @@
 
 #include "./Param.h"
-#include "../../include/types.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Result.cpp
===================================================================
--- issm/trunk/src/c/objects/Result.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Result.cpp	(revision 3775)
@@ -14,8 +14,8 @@
 #include "./objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 
 /*Object constructors and destructor*/
Index: issm/trunk/src/c/objects/Vertex.cpp
===================================================================
--- issm/trunk/src/c/objects/Vertex.cpp	(revision 3774)
+++ issm/trunk/src/c/objects/Vertex.cpp	(revision 3775)
@@ -13,8 +13,8 @@
 #include "./objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 /*}}}*/
 
Index: issm/trunk/src/c/objects/Vertex.h
===================================================================
--- issm/trunk/src/c/objects/Vertex.h	(revision 3774)
+++ issm/trunk/src/c/objects/Vertex.h	(revision 3775)
@@ -12,5 +12,5 @@
 class IoModel;
 #include "../shared/Exceptions/exceptions.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 /*}}}*/
Index: issm/trunk/src/c/parallel/ControlInitialization.cpp
===================================================================
--- issm/trunk/src/c/parallel/ControlInitialization.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/ControlInitialization.cpp	(revision 3775)
@@ -104,5 +104,5 @@
 
 	//Add to inputs:
-	SplitSolutionVector(ug_horiz,numberofnodes,numberofdofspernode_dh,&vx,&vy);
+	SplitSolutionVectorx(ug_horiz,numberofnodes,numberofdofspernode_dh,&vx,&vy);
 	model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 	model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
@@ -129,5 +129,5 @@
 
 	//Add in inputs
-	SplitSolutionVector(ug_stokes,numberofnodes,numberofdofspernode_ds,&vx,&vy,&vz,&pressure);
+	SplitSolutionVectorx(ug_stokes,numberofnodes,numberofdofspernode_ds,&vx,&vy,&vz,&pressure);
 	model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 	model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
@@ -150,5 +150,5 @@
 	//Add in inputs
 	xfree((void**)&vx); xfree((void**)&vy); xfree((void**)&vz); xfree((void**)&pressure);
-	SplitSolutionVector(ug,numberofnodes,numberofdofspernode_ds,&vx,&vy,&vz,&pressure);
+	SplitSolutionVectorx(ug,numberofnodes,numberofdofspernode_ds,&vx,&vy,&vz,&pressure);
 	model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 	model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
Index: issm/trunk/src/c/parallel/WriteLockFile.cpp
===================================================================
--- issm/trunk/src/c/parallel/WriteLockFile.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/WriteLockFile.cpp	(revision 3775)
@@ -4,5 +4,5 @@
 #include "stdio.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void WriteLockFile(char* filename){
Index: issm/trunk/src/c/parallel/balancedthickness.cpp
===================================================================
--- issm/trunk/src/c/parallel/balancedthickness.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/balancedthickness.cpp	(revision 3775)
@@ -12,5 +12,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
